Bug 137651 - system-config-network does not properly delete devices
Summary: system-config-network does not properly delete devices
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-29 23:10 UTC by David Kaplan
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-27 12:22:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Kaplan 2004-10-29 23:10:58 UTC
Description of problem:
I am using FC2 with system-config-network-1.3.17-0.FC2.1.  

I have several profiles, though it is not clear that that relates to
the current problem (the problem occurs regardless of whether the
device in question is in the active profile or not).

When I delete a device, the device script in the
networking/profiles/profile_name directory does get deleted, but the
device script in the networking/devices directory gets left behind so
that when I run system-config-network again, the device appears again.
 The only solution is to delete by hand the script in the devices
directory.

Version-Release number of selected component (if applicable):
system-config-network-1.3.17-0.FC2.1


How reproducible:
Always

Steps to Reproduce:
1. run system-config-network and create a new device (I have only
tried ethernet devices).
2. save the configuration
3. delete the new device, save and close system-config-network
4. reopen system-config-network and the deleted device will apear again.
  
Actual results:
device doesn't get fully deleted.

Expected results:
device gets deleted.

Additional info:
system-config-network has always been extremely buggy since its
creation (in RH8?).  These problems seem to come and go with each new
version.  Is this ever going to get worked out?

Comment 1 Erwan Legrand 2004-11-08 12:55:46 UTC
I do not use profiles and I have exactly the same problem.

Comment 2 Matthew Miller 2005-04-26 15:02:44 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 3 Erwan Legrand 2005-04-27 09:53:05 UTC
This problem appears to have been fixed in FC3.

Comment 4 Matthew Miller 2005-04-27 12:22:41 UTC
thanks



Note You need to log in before you can comment on or make changes to this bug.